Package: groovy.org.codenarc.ruleset

## [Groovy] Class XmlFileRuleSet

- groovy.org.codenarc.ruleset.XmlFileRuleSet

- All Implemented Interfaces and Traits:
    RuleSet

      class XmlFileRuleSet

  A `RuleSet` implementation that parses Rule definitions from XML read from a file. The filename passed into the constructor is interpreted relative to the classpath, by default, but may be optionally prefixed by any of the valid java.net.URL prefixes, such as "file:" (to load from a relative or absolute path on the filesystem), or "http:".

  Note that this class attempts to read the file and parse the XML from within the constructor.
  Authors:
    Chris Mair

- - ### Constructor Summary

    Constructors
    Constructor and description
    `XmlFileRuleSet (String path)` Construct a new instance on the specified RuleSet file path

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `List` | `getRules()` @return a List of Rule objects

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### XmlFileRuleSet(String path)

      Construct a new instance on the specified RuleSet file path

      Parameters:
        `path` - - the path to the XML RuleSet definition file. The path is relative to the classpath, by default, but may be optionally prefixed by any of the valid java.net.URL prefixes, such as "file:" (to load from a relative or absolute path on the filesystem), or "http:". The path must not be empty or null.

  - ### Method Detail

    - #### List getRules()

      Returns:
        a List of Rule objects